import 'package:flutter/material.dart';

import 'package:zwap_design_system/atoms/atoms.dart';
import 'package:zwap_design_system/molecules/button/zwapButton.dart';

class ZwapRowButtons extends StatelessWidget{

  final String firstButtonText;

  final Function() firstButtonCallBack;

  final String secondButtonText;

  final Function() secondButtonCallBack;

  ZwapRowButtons({Key? key,
    required this.firstButtonText,
    required this.firstButtonCallBack,
    required this.secondButtonCallBack,
    required this.secondButtonText}): super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Flexible(
          child: ZwapButton(
            zwapButtonType: ZwapButtonType.flat,
            zwapButtonContentType: ZwapButtonContentType.noIcon,
            zwapButtonStatus: ZwapButtonStatus.defaultStatus,
            text: this.firstButtonText,
            onPressedCallBack: () => this.firstButtonCallBack(),
          ),
          flex: 0,
          fit: FlexFit.tight,
        ),
        Flexible(
          child: ZwapButton(
            zwapButtonType: ZwapButtonType.flat,
            zwapButtonContentType: ZwapButtonContentType.noIcon,
            zwapButtonStatus: ZwapButtonStatus.defaultStatus,
            text: this.firstButtonText,
            onPressedCallBack: () => this.firstButtonCallBack(),
          ),
          flex: 0,
          fit: FlexFit.tight,
        ),
      ],
    );
  }



}